summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorJohn D Jones III2015-06-16 16:22:32 -0600
committerJohn D Jones III2015-06-16 16:22:32 -0600
commit3edab7cf255df4b2f084f5d5962c4bbbb24208e8 (patch)
tree163cc5c18551f0e89b156e15cd9280ee833b8ffe /PKGBUILD
downloadaur-3edab7cf255df4b2f084f5d5962c4bbbb24208e8.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..219c33a8078
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Contributor: Nick B <Shirakawasuna at gmail _dot_com>
+pkgname=tcloo
+pkgver=1.0.2
+pkgrel=1
+pkgdesc="Tcl extension for object oriented programming. Tcl 8.5 Only!!!"
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/tcl/"
+license=('GPL')
+depends=('glibc' 'tcl85')
+md5sums=(
+'1f0d0a86cbbd4955450b42d754c29f15'
+'e1a87ff1e902fd95434e5b8abe335258'
+)
+
+source=(
+http://downloads.sourceforge.net/project/tcl/TclOO%20Package/$pkgver/TclOO$pkgver.tar.gz
+configure.patch
+)
+
+build() {
+
+ cd $srcdir/TclOO$pkgver
+ patch -p0 <../configure.patch
+ ./configure --prefix=/usr || return 1
+ make || return 1
+
+}
+
+package() {
+
+ cd $srcdir/TclOO$pkgver
+ make DESTDIR=$pkgdir install || return 1
+ #chmod 644 $pkgdir/usr/lib/TclOO0.6/libTclOOstub0.6.a
+
+}